# GimpUi.prop_spin_button_new

    function prop_spin_button_new(config: GObject.Object, property_name: String, step_increment: Number(gdouble), page_increment: Number(gdouble), digits: Number(gint)): Gtk.Widget {
        // Gjs wrapper for gimp_prop_spin_button_new()
    }

Creates a spin button to set and display the value of the specified double property.

If you wish to change the widget's range relatively to the property_name's range, use GimpUi.prop_widget_set_factor.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of double property controlled by the spin button.

step_increment

  Step size.

page_increment

  Page size.

digits

  Number of digits after decimal point to display.

Returns

  A new #libgimpwidgets-gimpspinbutton.